# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/usb/microchip,lan9691-dwc3.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Microchip LAN969x SuperSpeed DWC3 USB SoC controller

maintainers:
  - Robert Marko <robert.marko@sartura.hr>

select:
  properties:
    compatible:
      contains:
        enum:
          - microchip,lan9691-dwc3
  required:
    - compatible

properties:
  compatible:
    items:
      - enum:
          - microchip,lan9691-dwc3
      - const: snps,dwc3

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    items:
      - description: Gated USB DRD clock
      - description: Controller reference clock

  clock-names:
    items:
      - const: bus_early
      - const: ref

unevaluatedProperties: false

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names

allOf:
  - $ref: snps,dwc3.yaml#

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>

    usb@300000 {
        compatible = "microchip,lan9691-dwc3", "snps,dwc3";
        reg = <0x300000 0x80000>;
        interrupts = <GIC_SPI 80 IRQ_TYPE_LEVEL_HIGH>;
        clocks = <&clks 12>, <&clks 11>;
        clock-names = "bus_early", "ref";
    };
